Name:		vala-panel-extras
Version:	0.1.9
Release:	alt2
Summary:	Vala Panel Extras
License:	GPL
Url:		https://gitlab.com/vala-panel-project/vala-panel-applets-gpl
Group:          System/GUI/Other
BuildRequires:	meson
BuildRequires:	vala
BuildRequires:	gtk3
BuildRequires:	libxcb-devel
BuildRequires:	libxkbcommon-x11-devel
#BuildRequires:	xfce4-panel >= 4.11.2
BuildRequires:	vala-panel-devel >= 0.4.60
#BuildRequires:	budgie-desktop
Source0:	https://gitlab.com/vala-panel-project/vala-panel-extras/-/archive/master/vala-panel-extras-master.tar
#Autoreq:	noshell
#Autoreq:	noperl

%description
This is StatusNotifierItems for using in Vala Panel (but can be used any DE in list below). Supported DE is:

XFCE (via xfce4-sntray-plugin or xfce4-snw-plugin)
Mate (via xfce4-sntray-plugin or xfce4-snw-plugin or native via notification-area)
ValaPanel (SNTray)
KDE (native)
Gnome (via gnome-shell-extension-appindicator)
Unity (native)
Enlightenment (native)

%prep
%setup -n %name-master

%build
%meson -Dxkb=enabled -Dbattery=false -Dalsa=disabled
%meson_build 

%install
%meson_install
%find_lang %{name}
mkdir -p  %buildroot/%_datadir/doc/%name
mv %buildroot/usr/share/%name/doc/* %buildroot/%_datadir/doc/%name

%files -f %{name}.lang
#doc LICENSE README.md 
%{_bindir}/*
%{_datadir}/*
%exclude %{_datadir}/%name


%changelog
* Sat Feb 03 2024 sfs <sfslinux@.gmail.com> 5.0.0
- Initial version
